#! /usr/bin/env ruby

# daylight.rb: Written by Tadayoshi Funaba 1998, 2000
# $Id: daylight.rb,v 1.3 2000-07-16 10:28:50+09 tadf Exp $

require 'date2'
require 'holiday'

year = Date.today.year
[[ 4,  1, 0, 'US Daylight Saving Time begins'], # first Sunday in April
 [10, -1, 0, 'US Daylight Saving Time ends']].  # last Sunday in October
each do |mon, n, k, event|
  puts (Date.nth_kday(n, k, year, mon).to_s + '  ' + event)
end
